get file=ncr0.sav
            
drop documents
set length=none
select if inwt

*************************************************************
***** It seems that there is an error in this particular
***** sex variable.  We are asked to use item0622 from the
***** 1st wave data which is supposed to be better.
***** message from Peter End of Sept. 95.- Wiji 5.10.95
*************************************************************

recode sex item0622 (sysmis=-999)
missing values sex item0622 (-999)

var labels sex 'sex of the respondent'
value labels sex
      1 'male'

      2 'female'

crosstabs tables=sex by item0622/missing=include

*+++++++++++++++++++++++++++++++++++++++++++++++++
******  ethnicity variables
*************************************************
compute white = 0
if (n504654 eq 1) white = 1
compute black = 0
if (n504654 ge 2 and n504654 le 4) black = 1
compute asian = 0
if (n504654 ge 5 and n504654 le 7) asian = 1
compute chine = 0
if (n504654 eq 8) chine = 1
compute other = 0
if (n504654 eq 9) other = 1

var labels white 'white dummy'
          /black 'black dummy'
          /asian 'asian dummy'
          /chine 'chinees dummy'
          /other 'other dummy' 

freq vars=n504654,white,black,asian,chine,other

********************************************************
*****  current status
********************************************************
compute cstat=n500520

var label cstat 'current economic status'

value label cstat
      1 'ft emp'
      2 'pt emp'
      3 'ft s-emp'
      4 'pt s-emp'
      5 'u/e seeking work'
      6 'ft educ'
      7 'temp sick/disabled'
      8 'perm sick/disabled'
      9 'house wife/husband'
     10 'other'

recode cstat (sysmis=-1)

*******************************************************
*****  hours worked ft dummy creation
*****  this is created only for employees.
*****  Self employed people have missing values.
*************************************************

compute ftdum=0
if (cstat eq 1) ftdum=1
if (cstat eq 3 or cstat eq 4) ftdum=-1

recode ftdum (sysmis=-1)
missing values ftdum (-1)

**********************************************************
*****  current job dummy
*****  this tells us whether the current status is emp
*****  (regardless of pt/ft).
*****  mrjob dummy tells us whether the most recent job
*****  info is being used when current status is not emp.
*****  Both these are only created for employees.
**********************************************************

compute cjob=0
if (cstat eq 3 or cstat eq 4) cjob=-1
if (cstat eq 1 or cstat eq 2) cjob=1
compute mrjob=0
if (cstat ne 1 and cstat ne 2 and n500522 gt 1 and
    n500522 lt 98) mrjob=1

recode mrjob cjob (sysmis=-1)
missing values mrjob cjob (-1)

var labels mrjob  'most recent job data used for wage calculation'
          /cjob   'current job data used for wage calculations'
          /ftdum  'job is a full time job'

freq cjob mrjob



***************************************************************
******* qualification dummies ********
*****
*****  These qualification vars qupr81 and quaf81 were
*****  created by City Univ. researchers from info given in
*****  NCDS5 501441 and 501513.
*****  

if (qupr81a eq -9) qual81=0
if (quaf81a eq -9) qual91=0
compute qupr81=0
compute quaf81=0 

if (qupr81a eq 1) qupr81=1
if (quaf81a eq 1) quaf81=1
if ((qupr81a ge 2 and qupr81a le 4) or qupr81a eq 6) qupr81=2
if ((quaf81a ge 2 and quaf81a le 4) or quaf81a eq 6) quaf81=2
if (qupr81a eq 7) qupr81=2
if (quaf81a eq 7) quaf81=2
if (qupr81a eq 5 or qupr81a eq 8 or qupr81a eq 9) qupr81=3
if (quaf81a eq 5 or quaf81a eq 8 or quaf81a eq 9) quaf81=3
if (qupr81b ge 10 and qupr81b le 12) qupr81=4
if (quaf81b ge 10 and quaf81b le 12) quaf81=4
if (qupr81c ge 13 and qupr81c le 19) qupr81=4
if (quaf81c ge 13 and quaf81c le 19) quaf81=4 
if (qupr81d eq 20) qupr81=4
if (quaf81d eq 20) quaf81=4
if (qupr81e eq 21 or qupr81e eq 22) qupr81=4
if (quaf81e eq 21 or quaf81e eq 22) quaf81=4
if (qupr81f eq 23 or qupr81f eq 24) qupr81=4
if (quaf81f eq 23 or quaf81f eq 24) quaf81=4
if (qupr81i eq 25) qupr81=4
if (quaf81i eq 25) quaf81=4
if (qupr81j ge 26 and qupr81j le 28) qupr81=5
if (quaf81j ge 26 and quaf81j le 28) quaf81=5
if (qupr81k ge 29 and qupr81k le 33) qupr81=6
if (quaf81k ge 29 and quaf81k le 33) quaf81=6

var labels qupr81 'highest qual pre 81'
          /quaf81 'highest qual after 81'

value labels qupr81, quaf81
      0 'none'
      1 'CSE grade 2-5'
      2 'OL equivalents'
      3 'AL equivalents'
      4 'vocational quals'
      5 'professional quals'
      6 'degree'


missing values qupr81 quaf81 (-1)

freq vars = qupr81 quaf81


***************************************************************
*****  Completed Apprenticeship variable
*****  This is obtained from NCDS4.
*****  I think that the 0 cases refer to those
*****  indiv. who had not had a job and I have
*****  therefore coded these cases as 0.
*****


missing values n4439 n4424 (-1)

do if (n4424 eq 1)

if (n4439 eq 1) appr=1
if (n4439 eq 2 or n4439 eq 3) appr=0
if (n4439 eq -1) appr=-1

else 

if (n4424 eq 2) appr=0

end if

missing values appr (-1)

var labels appr 'completed app by 1981 dummy'

freq vars=n4439,n4424, appr
crosstabs tables=n4424 by n4439,appr

*****************************************************************
*****  Age left school
*****

do repeat a=1,2,3/b=sch16,sch17,sch18/
compute b=-1
if (agelsch eq a) b=1
end repeat 
if (agelsch eq 2 or agelsch eq 3) sch16=0
if (agelsch eq 1 or agelsch eq 3) sch17=0
if (agelsch eq 2 or agelsch eq 1) sch18=0

missing values sch16 to sch18 (-1)

var labels sch16 'left school at 16 dummy'
          /sch17 'left school at 17 dummy'
          /sch18 'left school at 18 dummy'

freq vars=sch16 sch17 sch18
****************************************************************
*****  Type of school
*****
compute dirgrant=0
compute gram=0
compute private=0
if (item2102=2) gram=1
if (item2103=1) private=1
if (item2103=2) dirgrant=1
missing values dirgrant, gram, private (-1)
freq vars=gram,private,dirgrant,item2102,item2103

var labels dirgrant 'direct grant school'
          /gram 'grammer school'
          /private 'private school'

*****************************************************************
*****  Disability variables
*****  

if (n504139 eq 1) dsabaw91=1
if (n504134 eq 1) rgdsab91=1
if (n504121 eq 2 or n504121 eq 8) dsabaw91=0
if (n504121 eq 2 or n504121 eq 8) rgdsab91=0

if (n4139 eq 1) rgdsab81=1
if (n4139 eq 2 or n4139 eq 8) rgdsab81=0
if (n4140 eq 1) dsabaw81=1
if (n4139 eq 1) dsabaw81=1
if (n4140 eq 2 or n4140 eq 8) dsabaw81=0

*****  the way these questions are asked in ncds4 means that
*****  I have to code those who are reg. disabled as also
*****  having a disability which affects their work.

missing values dsabaw91,rgdsab91,dsabaw81,rgdsab81 (-1)


var labels rgdsab81 'registered disabled in 81'
          /rgdsab91 'registered disabled in 91'
          /dsabaw81 'disability affects work 81'
          /dsabaw91 'disability affects work 91'

freq vars=n504121,n504134,rgdsab81,rgdsab91,dsabaw81,dsabaw91


save outfile = ncr1.sav/drop=n500817,n500819,n500821,n500951,n500953,
 n500955,n500957,n501025,n501027,n501029,n501031,n501465,n501467,n501469,
 n501533,n501535,n501537,n501539,n501541

finish


